/*style css*/
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=swap');


/*selektory globalne*/

*{
    transition: 1s;;
    box-sizing: border-box;
}

body {
  height: 100%;
  
  font-family: 'Poppins', sans-serif;
   margin: 0;
  background: #000; 
  color: inherit
 
}
html{
  height: 100%;
    scroll-behavior: smooth;
    overflow-x: hidden; /*przyciecie obrazka*/
}

.section {
 /* height: 800px; /* <- wysokość z Figmy */
  width: 100%;
  display: grid;
  grid-template-columns: 1fr 1fr; /* kolumny z ta sama szerokoscia */
  align-items: center;
  padding: 120px;
  box-sizing: border-box;
  overflow: hidden; /*znpowu braki scrola w bok*/
}

.section img {
  max-height: 100%;
  max-width: 100%;
  object-fit: contain; /*zdj w ramce*/
}

.section-content {
  max-height: 100%;
}

/* 
   MENUUUUUUUUUUUUUUUUUU AAA */

.menu {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 80px;
    background-color: #000;
    z-index: 1000; /*pasek menu u gory, zawsze przykrywa inne rzeczy*/
}

.menu-zawartosc {
  
  color: white;
    max-width: 1200px;
    height: 100%;
    margin: 0 auto; /* wysrodkowanie dziala z width i display*/
    padding: 0 30px;

    display: flex;
    align-items: center;
    justify-content: space-between; /*wysrodkowanie na podtsawie 1element-do lewej ostatni-do prawej*/
}

.logo img {
    height: 42px;
    width: auto;
    display: block; /*wyplenia cala swoja przestrezn*/
}

.menu ul {
  display: flex;
  gap: 64px;
  list-style: none;
}

.menu a {
  color: #ffffff;
  text-decoration: none;
  font-size: 16px;
  font-weight: 300;
}

.container {
  max-width: 1400px;
  margin: 0 auto;
  padding: 0 100px;
}
/* HERO ------------------------------ pierwsza-------------tytul-----*/

.hero {
  
 height: 680px;
  position: relative;
  
  background-image: url("../img/tlo.png");
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;

  /*elementy w srodku*/

  display: flex;
  flex-direction: column; /*na teksty*/
   justify-content: flex-start;
  align-items: center; /*tekst nie spada*/

  padding-top: 120px; /*gdy sie przykleja tekst do gory*/
  box-sizing: border-box; /*680 i 120 paddingu razem*/
}



.hero-zawartosc {
  
  margin-top: 10px;
  position: relative;
   max-width: 2000px;
    width: 100%;
    text-align: center;
}

/*--------------------------------------TYTUŁ--- */

.hero-zawartosc h1 {

 
    font-family: 'Poppins', sans-serif;
    margin-bottom: 10px;
    color: #e6e6e6;
    font-size: 48px;
    font-weight: 600;
   
}

.hero-zawartosc h2 {
    font-family: 'Poppins', sans-serif;
    font-size: 23px;
    font-style: italic;
    line-height: normal;
    text-align: center;
    color: #dfdede;
    font-weight: 300;
   
    opacity: 0.8;

}

/*------------------------------------ ŚRODEK \ */

.hero-srodek {
  margin-top:  20px;
    display: flex;
    align-items: center;
    justify-content: center; /*wysrodkowanie na podtsawie 1element-do lewej ostatni-do prawej*/

    gap: 18px; 
}

/* -------------------------------- LEWY / PRAWY TEKST */
.tekst-lewy,
.tekst-prawy {
  width: 250px;
  height: 260px;

  font-size: 16spx;
  font-weight: 400;
  font-style: italic;
  line-height: 1.6;

  color: #D9D9D9;

  display: flex;
  align-items: center;
}

.tekst-lewy {
  justify-content: flex-end; /*tekst do prawej*/
  text-align: left;
}

.tekst-prawy {
  justify-content: flex-start;
  text-align: left;
}


.hero-srodek img {
  width: 420px;
  height: auto;
  display: block;
}

/* ANIMACJA OBRAZKA */

@keyframes floatSlow {
  0% { transform: translateY(0); }
  50% { transform: translateY(-12px); }
  100% { transform: translateY(0); }
}

.hero-srodek img {
  animation: floatSlow 4s ease-in-out infinite;
}




/*-------------RESPONSYWNOŚĆ strony 
 */
@media (max-width: 900px) {
  .hero-srodek {
    grid-template-columns: 420px 520px; /* kolumny*/
    gap: 40px;
    text-align: center;
  }

  .tekst-lewy,
  .tekst-prawy {
    justify-self: center;
    max-width: 500px; /*tekst sie zawija w dobrym miejscu*/
  }
}

/* -------------------------WODA PIERWSZA SEKCJA -----------*/

#woda {
  background: #000;
  color: #ffffff;

  display: flex;
  justify-content: center;
  align-items: center;
  padding: 90px 0;
}

/* ================= KONTENER ================= */

.woda-kontener {
  width: 100%;
  max-width: 1400px;
  margin: 0 auto;
  padding: 0 100px;

  display: grid;
  grid-template-columns: 460px 1fr; 
  gap: 80px;

  box-sizing: border-box;
  overflow: hidden;
}

/* GRID ITEMS */
.woda-obraz,
.woda-tekst {
  min-width: 0; 
}

/* ================= OBRAZ ================= */

.woda-obraz img {
  width: 420px;       
  height: auto;
  display: block;
  padding-top: 40px;
}

/* ================= TEKST ================= */

.woda-tekst {
  max-width: 450px;
}

.woda-tekst h2 {
  font-size: 45px;
  font-weight: 600;
  margin-bottom: 6px;
}

.etykieta {
  display: block;
  font-style: italic;
  font-size: 20px;
  font-weight: 300;
  margin-bottom: 32px;
}

.woda-tekst .opis {
  font-size: 16px;
  font-weight: 400;
  font-style: italic;
  line-height: 1.7;
  max-width: 420px;
  margin-bottom: 26px;
  color: #d6d6d6;
}

/* ================= DÓŁ ================= */

.woda-dol {
  display: grid;
  grid-template-columns: repeat(2, minmax(0, 1fr));
  max-width: 460px;
  gap: 80px;
  margin-top: 50px;
  align-items: start;
}

.woda-dol h3 {
  font-size: 19px;
  font-weight: 500;
  color: #84a2ca;
  margin-bottom: 12px;

  white-space: normal;      /* TEKST MOŻE SIĘ ZAWIJAĆ */
  word-break: break-word;
}

.woda-dol p {
  font-size: 13px;
  font-weight: 400;
  color: #a9c5eb;
  font-style: italic;
  line-height: 1.6;
  opacity: 0.85;
}


/* -----------------------WOOODA DRUGA WODA DRUGA SEKCJA WODY .....................*/


.woda-2 {
  background: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 90px 0;
}

/* ================= KONTENER ================= */

.woda2-kontener {
  width: 100%;
  max-width: 1400px;
  margin: 0 auto;
  padding: 0 100px;

  display: grid;
  grid-template-columns: 460px 1fr; /* LEWA STAŁA, PRAWA ELASTYCZNA */
  gap: 80px;

  box-sizing: border-box;
  overflow: hidden;
}

/* GRID ITEMS */
.woda2-lewa,
.woda2-prawa {
  min-width: 0; /* POZWALA TEKSTOWI SIĘ ZAWIJAĆ */
}

/* ================= LEWA ================= */

.woda2-lewa h2 {
  font-size: 42px;
  font-weight: 500;
}

.woda2-lewa h3 {
  font-size: 36px;
  font-weight: 500;
  color: #618ca6;
  margin-bottom: 40px;
}

.woda2-lewa img {
  width: 300px;          
  height: auto;
  display: block;
  padding-top: 40px;
}

/* ================= PRAWA ================= */

.woda2-prawa .opis-glowny {
  font-size: 16px;
  line-height: 1.8;
  max-width: 520px;
  margin-bottom: 90px;
}

.woda2-aktywuj {
  font-size: 38px;
  color: #618ca6;
  margin-bottom: 50px;
  font-weight: 500;
}

/* ================= DÓŁ ================= */

.woda2-dol {
  display: grid;
  grid-template-columns: repeat(2, minmax(0, 1fr));
  gap: 80px;
}

.woda2-dol h5 {
  font-size: 22px;
  border-bottom: 1px solid #ccc;
  margin-bottom: 18px;
  padding-bottom: 8px;

  white-space: normal;      
  word-break: break-word;
}

.woda2-dol p {
  font-size: 13px;
  line-height: 1.7;
  font-style: italic;
}


  /* SEKCJA----------- OGIEŃ*/

.ogien {

  background: #000;
  color: #ffffff;

  display: flex;
  justify-content: center;
  align-items: center;

  padding: 90px 0;
}

.ogien-kontener {
  width: 100%;
  max-width: 1400px;

  margin: 0 auto;
  padding: 0 100px;

  display: grid;
  grid-template-columns: minmax(0, 460px) minmax(0, 410px);
  gap: 80px;

  box-sizing: border-box;
}

.ogien-obraz img {
  width: 620px;
  max-width: none;
  
}

.ogien-tekst {
  
    font-size: 16px;
  font-weight: 400;
  
  font-style: italic;
  line-height: 1.7;
  
  margin-bottom: 26px;
  color: #d6d6d6;
}

.ogien-tekst h2 {
  position: relative;
  font-size: 45px;
  font-weight: 600;
   font-style: normal;
   white-space: nowrap;
}

.ogien-dol {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 80px;

  margin-top: 50px;
}

.ogien-dol h3 {
  font-size: 19px;
  font-style: normal;
  white-space: nowrap;
  color: orange;
}

/* =========================
   OGIEŃ 2
========================= */

.ogien-2 {
  background: #fff;
  display: flex;
  justify-content: center;
  padding: 120px 0;
}

.ogien2-kontener {
  width: 100%;
  max-width: 1400px;
  padding: 0 100px;
  box-sizing: border-box;
  overflow: hidden;
}

/* GÓRA */

.ogien2-gora {
  display: grid;    /*zeby bylo w kolumnach*/
  grid-template-columns: 1fr 1fr; /*1fr czyli dwie kolumny o tej samej szerosci*/
  gap: 120px; /*odstep miedzy kolumnami*/
  margin-bottom: 120px;
}

.ogien2-tytul {
  font-size: 42px;
  color: #b30000;
  font-weight: 500;
}

.ogien2-lewa h3 {
  
  font-size: 38px;
  font-weight: 500;
   min-width: 0;
}

.ogien2-prawa p {
  font-size: 16px;
  line-height: 1.8;
   min-width: 0;
  max-width: 520px;
  
}


.ogien2-dol {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 120px;
  text-align: center;
}

.ogien2-karta img {
  max-width: 100%;
  width: 130px;
  height: auto;
  display: block;
  margin: 0 auto 20px;
}

.ogien2-karta h4 {
  color: #b30000;
  font-size: 22px;
  margin-bottom: 12px;
  min-height: 32px; 
}

.ogien2-karta p {
  font-style: italic;
  font-size: 14px;
  line-height: 1.6;
  max-width: 260px;
  margin: 0 auto;
  min-height: 48px; /* wyrowanie linii*/
}


/* ======================
   POJEDNANIE
====================== */

.pojednanie {
  background: #000;
  color: #fff;

  display: flex;
  justify-content: center;
  padding: 120px 0;
}

.pojednanie-kontener {
  width: 100%;
  max-width: 1400px;

  margin: 0 auto;
  padding: 0 100px;

  display: grid;

  grid-template-columns: minmax(0, 460px) minmax(0, 460px);
  gap: 120px;

  box-sizing: border-box;
}

/* TEKST */

.pojednanie-tekst h2 {
  position: relative;
  font-size: 48px;
  font-weight: 500;
  margin-bottom: 20px;
  white-space: nowrap; /* nie lamie się tekst */
}

.pojednanie p {
  font-size: 17px;
  line-height: 1.8;
  max-width: 520px;
  font-weight: 500;
   font-style: italic;
 
}

.pojednanie-akcent {
  color: orange;
  font-size: 26px;
  margin: 60px 0 18px;
}

/* OBRAZ */

.pojednanie-obraz img {
   width: 620px;
  max-width: none;
}


/* =========================
   STOPKA
========================= */

#stopka {
  background: #a53200;
  color: white;
  padding: 60px 0 25px;
}

#stopka .zawartosc {
  max-width: 1400px;
  margin: 0 auto;

  padding: 0 100px;

  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 50px;

  box-sizing: border-box;
}

/* KOLUMNY */

#stopka article h3 {
  font-size: 20px;
  font-weight: 600;
  margin-bottom: 20px;
}

#stopka p,
#stopka a {
  font-size: 14px;
  color: #dbdbdb;
  text-decoration: none;
  line-height: 1.8;
}

#stopka a:hover {
  color: rgb(255, 136, 40);
}

/* INPUTY */

#stopka input[type="email"] {
  width: 100%;
  padding: 10px 12px;
  background: transparent;
  border: 1px solid #ffffff;
  color: white;
  margin-bottom: 12px;
}

#stopka input[type="submit"] {
  background: white;
  color: #a53200;
  border: none;
  padding: 10px 18px;
  cursor: pointer;
  font-weight: 600;
}

#stopka input[type="submit"]:hover {
  opacity: 0.85;
}

#stopka input::placeholder { /*tekst w  news*/
  color: rgba(255,255,255,0.85);
}


.stopka-symbol {  /*kontener*/
   display: flex;
  justify-content: flex-end;
   align-self: start;
}

.stopka-symbol img {
  width: 160px;
  margin-top: -30px;
}





#stopka h6 {
  text-align: center;
  margin-top: 35px;
  font-size: 12px;
  color: rgba(255,255,255,0.6);
}









section {
  scroll-margin-top: 90px;
}